/* =====================================
   MOBILE STEP
===================================== */

.banner-mobile-step{

    display:flex;
    flex-direction:column;

    gap: clamp(8px, 1.8vh, 16px);

    width:100%;

}


/* =====================================
   MOBILE FIELD
===================================== */

.banner-mobile-step .mobile-field{

    display:flex;
    align-items:center;

    width:100%;
    height: clamp(44px, 5.5vh, 54px);

    border:2px solid #E8E7F8;
    border-radius:14px;

    background:#fff;

    overflow:hidden;

    box-shadow:
        0 6px 18px rgba(0,0,0,.05);

    transition:.25s;

}


.banner-mobile-step .mobile-field:focus-within{

    border-color:#6C3FFF;

    box-shadow:
        0 0 0 4px rgba(108,63,255,.10);

}


/* =====================================
   COUNTRY CODE
===================================== */

.banner-mobile-step select{

    flex:0 0 clamp(75px, 10vw, 88px);

    height:100%;

    border:none;
    outline:none;

    background:#F8F7FF;

    color:#111827;

    font-size:clamp(13px, 1.5vw, 15px);
    font-weight:600;

    padding:0 clamp(8px, 1.2vw, 14px);

    cursor:pointer;

}


/* =====================================
   MOBILE INPUT
===================================== */

.banner-mobile-step input{

    flex:1;

    width:100%;
    height:100%;

    border:none;
    outline:none;

    background:#fff;

   padding:0 clamp(10px, 1.5vw, 18px);
   font-size:clamp(13px, 1.5vw, 15px);
    color:#111827;

}


.banner-mobile-step input::placeholder{

    color:#9CA3AF;

}


/* =====================================
   NEXT BUTTON
===================================== */

.banner-mobile-step

#mobileNextBtn{

    width:100%;

    margin:0 auto;

    border:none;

    background:
    linear-gradient(
        135deg,
        #6C3FFF,
        #8B5CF6
    );

    box-shadow:
    0 10px 22px rgba(108,63,255,.22);

}

#mobileNextBtn .ui-btn-title,
#mobileNextBtn .ui-btn-sub,
#mobileNextBtn .ui-btn-action{

    color:#fff !important;

}

/* =====================================
   NEXT BUTTON DISABLED
===================================== */

#mobileNextBtn:disabled{

    opacity:.45;

    cursor:not-allowed;

    pointer-events:none;

    filter:grayscale(.2);

}